com.google.appengine.api.datastore

## Enum DatastoreAttributes.DatastoreType

- java.lang.Object
- - java.lang.Enum<DatastoreAttributes.DatastoreType>
  - - com.google.appengine.api.datastore.DatastoreAttributes.DatastoreType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DatastoreAttributes.DatastoreType>
  Enclosing class:
    DatastoreAttributes

      public static enum DatastoreAttributes.DatastoreType
      extends java.lang.Enum<DatastoreAttributes.DatastoreType>

  Indicates the type of datastore being used. Currently always returns HIGH_REPLICATION.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH_REPLICATION`
    `MASTER_SLAVE`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatastoreAttributes.DatastoreType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DatastoreAttributes.DatastoreType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DatastoreAttributes.DatastoreType UNKNOWN

    - #### MASTER_SLAVE

          public static final DatastoreAttributes.DatastoreType MASTER_SLAVE

    - #### HIGH_REPLICATION

          public static final DatastoreAttributes.DatastoreType HIGH_REPLICATION

  - ### Method Detail

    - #### values

          public static DatastoreAttributes.DatastoreType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatastoreAttributes.DatastoreType c : DatastoreAttributes.DatastoreType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatastoreAttributes.DatastoreType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null